%global gstversion 1.0
%global gst_minver 1.0.0

Name:           gst-entrans
Version:        1.0.2
Release:        6%{?dist}
Summary:        Plug-ins and tools for transcoding and recording with GStreamer

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://gentrans.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gentrans/%{name}-%{version}.tar.gz

# Patch python shebang to /usr/bin/python2
Patch0:         gst-entrans-python_shebang.patch

BuildRequires:  gstreamer1-devel >= %{gst_minver}
BuildRequires:  gstreamer1-plugins-base-devel
# For autoreconf
BuildRequires:  gettext-devel libtool
Requires:       gstreamer1 >= %{gst_minver}
Requires:       gstreamer1-plugins-entrans%{?_isa} = %{version}-%{release}
Requires:       python-gstreamer1

%description
GEntrans is a software package providing a collection of plug-ins and tools 
for the GStreamer multimedia framework specifically geared towards transcoding 
and recording purposes.

GStreamer allows for easy multimedia processing and creation of multimedia 
applications, as e.g. demonstrated by a number of players and some other 
applications already built on it. The purpose here is to concentrate on using 
the framework for transcoding purposes.


%package -n gstreamer1-plugins-entrans
Summary:        GStreamer plug-ins from GEntrans
Group:          Applications/Multimedia
Obsoletes:      gstreamer-plugins-entrans < 0.10.4-4

%description -n gstreamer1-plugins-entrans
GEntrans is a software package providing a collection of plug-ins and tools 
for the GStreamer multimedia framework specifically geared towards transcoding 
and recording purposes.

This package provides several GStreamer plugins from GEntrans.


%package -n gstreamer1-plugins-entrans-docs
Summary:        Documentation for GStreamer plug-ins from GEntrans
Group:          Documentation
BuildArch:      noarch
BuildRequires:  gtk-doc
Obsoletes:      gstreamer-plugins-entrans-docs < 0.10.4-4

%description -n gstreamer1-plugins-entrans-docs
GEntrans is a software package providing a collection of plug-ins and tools 
for the GStreamer multimedia framework specifically geared towards transcoding 
and recording purposes.

This package provides documentation for several GStreamer plugins from GEntrans.


%prep
%setup -q
%patch0 -p1 -b .python_shebang


%build
# Add aarch64 support to build
autoreconf -f -i
%configure --enable-debug --disable-static --enable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# These files shouldn't be in the RPM
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gstversion}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gstversion}/*.a

# Symlink the old executable name for compatibility
ln -s entrans-1.0 $RPM_BUILD_ROOT%{_bindir}/entrans


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%doc docs/manual/html/
%{_bindir}/entrans
%{_bindir}/entrans-1.0
%doc %{_mandir}/man1/entrans-*


%files -n gstreamer1-plugins-entrans
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gstreamer-%{gstversion}/libgstavidemux.so
%{_libdir}/gstreamer-%{gstversion}/libgstentrans.so
%{_libdir}/gstreamer-%{gstversion}/libgstmencoder.so
%{_libdir}/gstreamer-%{gstversion}/libgsttranscode.so
%{_libdir}/gstreamer-%{gstversion}/libgstvirtualdub.so
%{_libdir}/gstreamer-%{gstversion}/libgstyuv4mpeg.so


%files -n gstreamer1-plugins-entrans-docs
%defattr(-,root,root,-)
%doc COPYING
%doc %{_datadir}/gtk-doc/html/%{name}-plugins-%{gstversion}/


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Sep 06 2015 Theodore Lee <theo148@gmail.com> - 1.0.2-5
- Correct dependency on gstreamer-python to python-gstreamer1
- Add patch for python shebang

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 03 2014 Theodore Lee <theo148@gmail.com> - 1.0.2-1
- Update to 1.0.2 release
- Update man file path

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 03 2013 Theodore Lee <theo148@gmail.com> - 1.0.0-1
- Update to 1.0.0 release (GStreamer 1.0 port)
- Switch over build dependencies to GStreamer 1.0
- Rename gstreamer-plugins-entrans[-docs] to gstreamer1-plugins-entrans[-docs]
- Run autoreconf in build for initial aarch64 build support

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Theodore Lee <theo148@gmail.com> - 0.10.4-1
- Update to 0.10.4 release
- Drop liboil-devel buildrequires

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Theodore Lee <theo148@gmail.com> - 0.10.3-4
- Drop requires on gtk-doc

* Sun Jun 19 2011 Theodore Lee <theo148@gmail.com> - 0.10.3-3
- Add license files to subpackages
- Move gtk-doc BuildRequires to plugin docs subpackage

* Fri Jun 10 2011 Theodore Lee <theo148@gmail.com> - 0.10.3-2
- Specify minimum GStreamer versions
- Be more specific in the files section
- Include documentation
- Split GStreamer plugins into separate packages

* Tue Nov 23 2010 Theodore Lee <theo148@gmail.com> - 0.10.3-1
- Latest upstream release

* Thu Sep 30 2010 Theodore Lee <theo148@gmail.com> - 0.10.2-1
- Tweaked install to remove static libraries

* Wed Sep 29 2010 Theodore Lee <theo148@gmail.com> - 0.10.2-0.1.aa
- Initial specfile
